Browse Source

ci scripts: exit properly on failure

Andrew Dolgov 7 years ago
parent
commit
87267ce355
2 changed files with 6 additions and 3 deletions
  1. 3 1
      utils/gitlab-ci/php-lint.sh
  2. 3 2
      utils/gitlab-ci/phpmd.sh

+ 3 - 1
utils/gitlab-ci/php-lint.sh

@@ -1,3 +1,5 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
 
 exec find . -name "*.php" -not -path "*/lib/*" -print0 | xargs -0 -n1 php -l

+ 3 - 2
utils/gitlab-ci/phpmd.sh

@@ -1,7 +1,8 @@
-#!/bin/sh -i -e
+#!/bin/sh
+
+set -e
 
 phpmd include,classes text utils/gitlab-ci/phpmd-ruleset.xml
 
 FILES=$(ls -dm *.php | tr -d " "| tr -d "\n")
 phpmd $FILES text utils/gitlab-ci/phpmd-ruleset.xml
-